View Issue Details

IDProjectCategoryView StatusLast Update
0002564SymmetricDSNew Featurepublic2016-08-09 13:10
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002564: dbcompare feature
Description“dbcompare” is a command line utility which will be part of the SymmetricDS product. dbcompare will connect to a source and target database using JDBC/SQL to perform the comparison and use SymmetricDS configuration to compare the two schemas. The dbcompare utility will have the following command line options.

dbcompare will output a summary report to standard out, which reports row counts, matching rows, etc. (See attached screenshot). Also, optionally, with the -o argument, the dbcompare will generate SQL that can be applied to the target database to bring it in sync with the source.

dbcompare [tablename…]
-s, --source The source engine.properties file (database connection info) to compare.
-t, --target The target engines properties file(database connection info) to compare.
-x, --exclude <tablename…> A list of table names to exclude from the comparison.
-o --output-sql <arg> A filename to write SQL statements to bring the target in sync with the source.

Example
dbcompare SALE_TRANS -s ./db2.properties -t ./sybase.properties -o ./diff.sql

TagsNo tags attached.

Activities

mmichalek

2016-04-15 10:28

administrator  

dbcompare1.png (135,986 bytes)
dbcompare1.png (135,986 bytes)

Related Changesets

SymmetricDS: 3.7 d7e938db

2016-04-18 10:32:29

mmichalek

Details Diff
0002564: Fixes for aligning primary keys between source and target
tables.

0002564
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompare.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompareTables.java Diff File

SymmetricDS: 3.7 39961e51

2016-04-19 16:25:17

admin


Committer: mmichalek Details Diff
0002564: cleanup.
0002564
mod - symmetric-assemble/src/asciidoc/advanced-topics.ad Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompare.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompareTables.java Diff File

SymmetricDS: 3.7 b28ff99f

2016-04-22 15:31:23

mmichalek

Details Diff
0002564: More generous handling of include and exclude table names.
0002564
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompare.java Diff File

SymmetricDS: 3.7 3770e8fc

2016-05-16 09:07:50

mmichalek

Details Diff
0002564: dbcompare feature - support rounding to a certain scale when
comparing decimals. The default scale is 3.

0002564
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbCompareCommand.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompare.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbValueComparator.java Diff File

SymmetricDS: 3.8 0f30af0d

2016-07-28 13:29:07

mmichalek

Details Diff
0002564: dbcompare feature
0002564
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbCompareCommand.java Diff File
mod - symmetric-client/src/main/resources/symmetric-messages.properties Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompareDiffWriter.java Diff File

Issue History

Date Modified Username Field Change
2016-04-15 10:28 mmichalek New Issue
2016-04-15 10:28 mmichalek File Added: dbcompare1.png
2016-04-15 10:28 mmichalek Assigned To => mmichalek
2016-04-15 10:28 mmichalek Status new => assigned
2016-04-18 11:00 mmichalek Changeset attached => SymmetricDS 3.7 d7e938db
2016-04-20 17:00 mmichalek Changeset attached => SymmetricDS 3.7 39961e51
2016-04-22 16:00 mmichalek Changeset attached => SymmetricDS 3.7 b28ff99f
2016-05-16 10:00 mmichalek Changeset attached => SymmetricDS 3.7 3770e8fc
2016-07-28 13:30 mmichalek Status assigned => resolved
2016-07-28 13:30 mmichalek Resolution open => fixed
2016-07-28 13:30 mmichalek Fixed in Version => 3.8.0
2016-07-28 14:00 mmichalek Changeset attached => SymmetricDS 3.8 0f30af0d
2016-08-09 13:10 admin Status resolved => closed